Instaling factoextra R package - Устанавливая пакет R factoextra

Я старался устанавливать пакет factoextra (R) без успеха. Это код, который я использовал до настоящего времени:

library("devtools")

install_github("kassambara/factoextra")

И это проблема:

library ("devtools")

install_github ("kassambara/factoextra") Skipping install for github переизречение, the SHA1 (a335d1ce) существуешь not changed since last install. Используйте force = TRUE to я вынудил installation

Какая-то подсказка? Спасибо заранее.

2
задан 11.05.2016, 21:23
2 ответа

В более чем одном случае я перемещаю себя ту же проблему с какими-то пакетами. Лучшая форма, поскольку я решил это:

  • Вновь устанавливая R (предпочтения самая настоящая версия)
  • устанавливая пакет с github (предварительное обновление R)
  • изменять хранилище (он обычно перемещает, что какие-то хранилища идут упавшими)

Хороший я понимаю, что он может быть из-за какого-то вируса системы, но обычно происходит.

С другой стороны, важно, чтобы ты всегда видел твой sessionInfo ().

> sessionInfo()
sessionInfo()
R version 3.3.0 (2016-05-03)
Platform: x86_64-pc-linux-gnu (64-bit)
Running under: Debian GNU/Linux 8 (jessie)

locale:
 [1] LC_CTYPE=es_PE.UTF-8       LC_NUMERIC=C              
 [3] LC_TIME=es_PE.UTF-8        LC_COLLATE=es_PE.UTF-8    
 [5] LC_MONETARY=es_PE.UTF-8    LC_MESSAGES=es_PE.UTF-8   
 [7] LC_PAPER=es_PE.UTF-8       LC_NAME=C                 
 [9] LC_ADDRESS=C               LC_TELEPHONE=C            
[11] LC_MEASUREMENT=es_PE.UTF-8 LC_IDENTIFICATION=C       

attached base packages:
[1] stats     graphics  grDevices utils     datasets  methods   base 

Я высказываю это мнение, потому что, в более чем одном случае представили мне проблемы, когда он использовал пару пакетов, не помню, что очень хорошо я думаю, что они были (MODIS и Bfast или remotesensing я верю).

Я понимаю в этом случае, что он открывал какой-то конфликт между этими пакетами....

Привет!

1
ответ дан 24.11.2019, 14:36

Кажется, что уже ты это установил раньше, и что ничто не изменило с последнего раза, что ты это сделал.

Tratra загружения пакета используя:

library("factoextra")

, Если это не функционирует, переоборудует используя force = TRUE из следующей формы:

install_github("kassambara/factoextra", force = TRUE)
0
ответ дан 24.11.2019, 14:36